System.ServiceModel 4.0.0.0 System.ServiceModel.Security.SecurityCredentialsManager System.ServiceModel.Description.IServiceBehavior

This class is used as a parameter in the method, by methods of the , and is returned by the property.

Configures a service credential. Use this class to specify the credential for the service such as an X.509 certificate. Also, use this class to specify the authentication model for various client credentials such as user name and password validation.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of from the specified .

  The instance used to initialize the new instance.
- Property
  4.0.0.0
  System.ServiceModel.Security.X509CertificateInitiatorServiceCredential To be added.

  You can specify a client certificate authentication model using the property. In the mutual certificate duplex scenario, you can specify an X.509 certificate to use in a response or callback using the property.

  Gets the current client certificate authentication and provisioning settings for this service.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceCredentials To be added.

  Creates a copy of the current instance.

  A instance.

- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceCredentials

  The method calls the constructor.

  Copies the essential members of the current instance.

  A instance.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenManager To be added.

  Creates a token manager for this service.

  A instance.

- Property
  4.0.0.0
  System.ServiceModel.Security.IssuedTokenServiceCredential To be added. To be added.

  Gets the current issued token (for example, SAML) authentication settings for this service.

- Property
  4.0.0.0
  System.ServiceModel.Security.PeerCredential To be added. To be added.

  Gets the current credential authentication and provisioning settings to be used by peer transport endpoints configured on the service.

- Property
  4.0.0.0
  System.ServiceModel.Security.SecureConversationServiceCredential To be added.

  Use this class to specify a list of known claim types for the Security Context Token (SCT) cookies serialization and an encoder to encode and secure cookies information.

  Gets the current settings to be used by a secure conversation.

- Property
  4.0.0.0
  System.ServiceModel.Security.X509CertificateRecipientServiceCredential To be added.

  You can specify the certificate to use by calling members of the object returned by this property.

  You can also set this value using the <certificate> for <identity> element in a client application configuration file.

  Gets the current certificate associated with this service.

- Method
  4.0.0.0
  System.Void `` `` `` ``

  Some binding elements can sometimes access extra information when building factories. This class is a collection of objects that contain this extra information.

  Adds this instance to a binding parameter collection. This is an infrastructure method and not intended to be called directly.

  A description of the service. The service host base. A collection of service endpoints. A collection of parameters.
- Method
  4.0.0.0
  System.Void `` ``

  Not implemented.

  Apply the dispatch behavior. This is an infrastructure method and not intended to be called directly.

  The service description. The service host base.
- Method
  4.0.0.0
  System.Void `` ``

  Not implemented.

  Validates a service description. This is an infrastructure method and not intended to be called directly.

  The service description. The service host base.
- Property
  4.0.0.0
  System.ServiceModel.Security.UserNamePasswordServiceCredential To be added.

  You can specify the settings of the user name/password authentication by calling members of the class on this instance, such as and .

  Gets the current user name/password authentication settings for this service.

- Property
  4.0.0.0
  System.ServiceModel.Security.WindowsServiceCredential To be added.

  Use this class to specify whether to allow anonymous Windows users access by setting the property. Also, use this class to specify whether to include a group information to which users belong in the by setting the property.

  Gets the current Windows authentication settings for this service.